Package org.pgpainless.implementation

# Class ImplementationFactory

java.lang.Object
org.pgpainless.implementation.ImplementationFactory

Direct Known Subclasses:
  `BcImplementationFactory`, `JceImplementationFactory`

public abstract class ImplementationFactory extends Object

## Constructor Summary

Constructors
Constructor
Description
`ImplementationFactory()`

## Method Summary

Modifier and Type
Method
Description
`static ImplementationFactory`
`getInstance()`
`abstract org.bouncycastle.openpgp.operator.KeyFingerPrintCalculator`
`getKeyFingerprintCalculator()`
`abstract org.bouncycastle.openpgp.operator.PBEDataDecryptorFactory`
`getPBEDataDecryptorFactory(Passphrase passphrase)`
`abstract org.bouncycastle.openpgp.operator.PBEKeyEncryptionMethodGenerator`
`getPBEKeyEncryptionMethodGenerator(Passphrase passphrase)`
`abstract org.bouncycastle.openpgp.operator.PBESecretKeyDecryptor`
`getPBESecretKeyDecryptor(Passphrase passphrase)`
`abstract org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor`
`getPBESecretKeyEncryptor(SymmetricKeyAlgorithm symmetricKeyAlgorithm, org.bouncycastle.openpgp.operator.PGPDigestCalculator digestCalculator, Passphrase passphrase)`
`abstract org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor`
`getPBESecretKeyEncryptor(SymmetricKeyAlgorithm encryptionAlgorithm, HashAlgorithm hashAlgorithm, int s2kCount, Passphrase passphrase)`
`abstract org.bouncycastle.openpgp.operator.PGPContentSignerBuilder`
`getPGPContentSignerBuilder(int keyAlgorithm, int hashAlgorithm)`
`org.bouncycastle.openpgp.operator.PGPContentSignerBuilder`
`getPGPContentSignerBuilder(PublicKeyAlgorithm keyAlgorithm, HashAlgorithm hashAlgorithm)`
`abstract org.bouncycastle.openpgp.operator.PGPContentVerifierBuilderProvider`
`getPGPContentVerifierBuilderProvider()`
`abstract org.bouncycastle.openpgp.operator.PGPDataEncryptorBuilder`
`getPGPDataEncryptorBuilder(int symmetricKeyAlgorithm)`
`org.bouncycastle.openpgp.operator.PGPDataEncryptorBuilder`
`getPGPDataEncryptorBuilder(SymmetricKeyAlgorithm symmetricKeyAlgorithm)`
`org.bouncycastle.openpgp.operator.PGPDigestCalculator`
`getPGPDigestCalculator(int algorithm)`
`org.bouncycastle.openpgp.operator.PGPDigestCalculator`
`getPGPDigestCalculator(HashAlgorithm algorithm)`
`abstract org.bouncycastle.openpgp.operator.PGPDigestCalculatorProvider`
`getPGPDigestCalculatorProvider()`
`abstract org.bouncycastle.openpgp.PGPKeyPair`
`getPGPKeyPair(PublicKeyAlgorithm algorithm, KeyPair keyPair, Date creationDate)`
`abstract org.bouncycastle.openpgp.PGPObjectFactory`
`getPGPObjectFactory(byte[] bytes)`
`abstract org.bouncycastle.openpgp.PGPObjectFactory`
`getPGPObjectFactory(InputStream inputStream)`
`abstract org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory`
`getPublicKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPPrivateKey privateKey)`
`abstract org.bouncycastle.openpgp.operator.PublicKeyKeyEncryptionMethodGenerator`
`getPublicKeyKeyEncryptionMethodGenerator(org.bouncycastle.openpgp.PGPPublicKey key)`
`abstract org.bouncycastle.openpgp.operator.SessionKeyDataDecryptorFactory`
`getSessionKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPSessionKey sessionKey)`
`org.bouncycastle.openpgp.operator.SessionKeyDataDecryptorFactory`
`getSessionKeyDataDecryptorFactory(SessionKey sessionKey)`
`org.bouncycastle.openpgp.operator.PGPDigestCalculator`
`getV4FingerprintCalculator()`
`static void`
`setFactoryImplementation(ImplementationFactory implementation)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ImplementationFactory

public ImplementationFactory()

## Method Details

### setFactoryImplementation

public static void setFactoryImplementation(ImplementationFactory implementation)

### getInstance

public static ImplementationFactory getInstance()

### getPBESecretKeyEncryptor

public abstract org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor getPBESecretKeyEncryptor(SymmetricKeyAlgorithm symmetricKeyAlgorithm, org.bouncycastle.openpgp.operator.PGPDigestCalculator digestCalculator, Passphrase passphrase)

### getPBESecretKeyDecryptor

public abstract org.bouncycastle.openpgp.operator.PBESecretKeyDecryptor getPBESecretKeyDecryptor(Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getV4FingerprintCalculator

public org.bouncycastle.openpgp.operator.PGPDigestCalculator getV4FingerprintCalculator() throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPDigestCalculator

public org.bouncycastle.openpgp.operator.PGPDigestCalculator getPGPDigestCalculator(HashAlgorithm algorithm) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPDigestCalculator

public org.bouncycastle.openpgp.operator.PGPDigestCalculator getPGPDigestCalculator(int algorithm) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPDigestCalculatorProvider

public abstract org.bouncycastle.openpgp.operator.PGPDigestCalculatorProvider getPGPDigestCalculatorProvider() throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPContentVerifierBuilderProvider

public abstract org.bouncycastle.openpgp.operator.PGPContentVerifierBuilderProvider getPGPContentVerifierBuilderProvider()

### getPGPContentSignerBuilder

public org.bouncycastle.openpgp.operator.PGPContentSignerBuilder getPGPContentSignerBuilder(PublicKeyAlgorithm keyAlgorithm, HashAlgorithm hashAlgorithm)

### getPGPContentSignerBuilder

public abstract org.bouncycastle.openpgp.operator.PGPContentSignerBuilder getPGPContentSignerBuilder(int keyAlgorithm, int hashAlgorithm)

### getKeyFingerprintCalculator

public abstract org.bouncycastle.openpgp.operator.KeyFingerPrintCalculator getKeyFingerprintCalculator()

### getPBEDataDecryptorFactory

public abstract org.bouncycastle.openpgp.operator.PBEDataDecryptorFactory getPBEDataDecryptorFactory(Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPublicKeyDataDecryptorFactory

public abstract org.bouncycastle.openpgp.operator.PublicKeyDataDecryptorFactory getPublicKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPPrivateKey privateKey)

### getSessionKeyDataDecryptorFactory

public org.bouncycastle.openpgp.operator.SessionKeyDataDecryptorFactory getSessionKeyDataDecryptorFactory(SessionKey sessionKey)

### getSessionKeyDataDecryptorFactory

public abstract org.bouncycastle.openpgp.operator.SessionKeyDataDecryptorFactory getSessionKeyDataDecryptorFactory(org.bouncycastle.openpgp.PGPSessionKey sessionKey)

### getPublicKeyKeyEncryptionMethodGenerator

public abstract org.bouncycastle.openpgp.operator.PublicKeyKeyEncryptionMethodGenerator getPublicKeyKeyEncryptionMethodGenerator(org.bouncycastle.openpgp.PGPPublicKey key)

### getPBEKeyEncryptionMethodGenerator

public abstract org.bouncycastle.openpgp.operator.PBEKeyEncryptionMethodGenerator getPBEKeyEncryptionMethodGenerator(Passphrase passphrase)

### getPGPDataEncryptorBuilder

public org.bouncycastle.openpgp.operator.PGPDataEncryptorBuilder getPGPDataEncryptorBuilder(SymmetricKeyAlgorithm symmetricKeyAlgorithm)

### getPGPDataEncryptorBuilder

public abstract org.bouncycastle.openpgp.operator.PGPDataEncryptorBuilder getPGPDataEncryptorBuilder(int symmetricKeyAlgorithm)

### getPGPKeyPair

public abstract org.bouncycastle.openpgp.PGPKeyPair getPGPKeyPair(PublicKeyAlgorithm algorithm, KeyPair keyPair, Date creationDate) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPBESecretKeyEncryptor

public abstract org.bouncycastle.openpgp.operator.PBESecretKeyEncryptor getPBESecretKeyEncryptor(SymmetricKeyAlgorithm encryptionAlgorithm, HashAlgorithm hashAlgorithm, int s2kCount, Passphrase passphrase) throws org.bouncycastle.openpgp.PGPException

Throws:
  `org.bouncycastle.openpgp.PGPException`

### getPGPObjectFactory

public abstract org.bouncycastle.openpgp.PGPObjectFactory getPGPObjectFactory(InputStream inputStream)

### getPGPObjectFactory

public abstract org.bouncycastle.openpgp.PGPObjectFactory getPGPObjectFactory(byte[] bytes)

### toString

public String toString()

Overrides:
  `toString` in class `Object`